Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html.images
Class TreePlusImage

    java.lang.Object
      org.richfaces.resource.AbstractJava2DUserResource
          org.richfaces.renderkit.html.images.TreePlusImage

All Implemented Interfaces:
  org.richfaces.resource.Java2DUserResource, org.richfaces.resource.StateHolderResource

Direct Known Subclasses:
  TreeMinusImage

    public class TreePlusImage

extends org.richfaces.resource.AbstractJava2DUserResource
implements org.richfaces.resource.StateHolderResource

Author:
  Nick Belaevski

Field Summary
`protected java.lang.Integer` | `controlColorValue`
`protected java.lang.Integer` | `generalColorValue`
`protected java.lang.Integer` | `trimColorValue`

Constructor Summary
`TreePlusImage()`

Method Summary
`protected void` | `drawFrame(java.awt.Graphics2D g2d)`
`protected void` | `drawHorizontalCrossLine(java.awt.Graphics2D g2d)`
`protected void` | `drawVerticalCrossLine(java.awt.Graphics2D g2d)`
`protected java.lang.Integer` | `getColorParameter(java.lang.String property)`
`void` | `init()`
`boolean` | `isTransient()`
`void` | `paint(java.awt.Graphics2D g2d)`
`void` | `readState(javax.faces.context.FacesContext context, java.io.DataInput dataInput)`
`void` | `writeState(javax.faces.context.FacesContext context, java.io.DataOutput dataOutput)`

Methods inherited from class org.richfaces.resource.AbstractJava2DUserResource
`getDimension, getImageType, getLastModified, getResponseHeaders`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### generalColorValue

    protected java.lang.Integer generalColorValue

### controlColorValue

    protected java.lang.Integer controlColorValue

### trimColorValue

    protected java.lang.Integer trimColorValue

Constructor Detail

### TreePlusImage

    public TreePlusImage()

Method Detail

### init

    public void init()

### getColorParameter

    protected java.lang.Integer getColorParameter(java.lang.String property)

### drawFrame

    protected void drawFrame(java.awt.Graphics2D g2d)

### paint

    public void paint(java.awt.Graphics2D g2d)

  Specified by:
    `paint` in interface `org.richfaces.resource.Java2DUserResource`

### drawVerticalCrossLine

    protected void drawVerticalCrossLine(java.awt.Graphics2D g2d)

### drawHorizontalCrossLine

    protected void drawHorizontalCrossLine(java.awt.Graphics2D g2d)

### writeState

    public void writeState(javax.faces.context.FacesContext context,
                           java.io.DataOutput dataOutput)
                    throws java.io.IOException

  Specified by:
    `writeState` in interface `org.richfaces.resource.StateHolderResource`
  Throws:
    `java.io.IOException`

### readState

    public void readState(javax.faces.context.FacesContext context,
                          java.io.DataInput dataInput)
                   throws java.io.IOException

  Specified by:
    `readState` in interface `org.richfaces.resource.StateHolderResource`
  Throws:
    `java.io.IOException`

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `org.richfaces.resource.StateHolderResource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.